from . import SideStoreModel

class TournamentSubModel(SideStoreModel):

    def save(self, *args, **kwargs):
        tournament = self.get_tournament()
        if tournament:
            self.store_id = str(tournament.id)
        super().save(*args, **kwargs)

    class Meta:
        abstract = True
